Package org.apache.wiki.api.spi

## Class EngineDSL

- java.lang.Object
- - org.apache.wiki.api.spi.EngineDSL

    public class EngineDSL
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Engine` `find​(javax.servlet.ServletConfig config)` Locate, or build if necessary, a configured `Engine` instance.
`Engine` `find​(javax.servlet.ServletConfig config, java.util.Properties props)` Locate, or build if necessary, a configured `Engine` instance.
`Engine` `find​(javax.servlet.ServletContext context, java.util.Properties props)` Locate, or build if necessary, a configured `Engine` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### find

    public Engine find​(javax.servlet.ServletConfig config)

Locate, or build if necessary, a configured `Engine` instance.

Parameters:
  `config` - servlet config holding the `Engine` instance.
Returns:
  a configured `Engine` instance.

#### find

    public Engine find​(javax.servlet.ServletConfig config,
                       java.util.Properties props)

Locate, or build if necessary, a configured `Engine` instance.

Parameters:
  `config` - servlet config holding the `Engine` instance.
  `props` - Engine configuration properties.
Returns:
  a configured `Engine` instance.

#### find

    public Engine find​(javax.servlet.ServletContext context,
                       java.util.Properties props)

Locate, or build if necessary, a configured `Engine` instance.

Parameters:
  `context` - servlet context holding the `Engine` instance.
  `props` - Engine configuration properties.
Returns:
  a configured `Engine` instance.